Bug 108113 - [vulkancts] r32g32b32 transfer operations not implemented
Summary: [vulkancts] r32g32b32 transfer operations not implemented
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/radeon (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Samuel Pitoiset
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-01 20:23 UTC by Bas Nieuwenhuizen
Modified: 2018-10-12 13:28 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bas Nieuwenhuizen 2018-10-01 20:23:02 UTC
r32g32b32 is a nasty format, we only support sampling linear textures from it, no image stores or color attachment.

commit d294898f8e66ef5664b7a63356ca263bb14d2bef
Author: Jason Ekstrand <jason.ekstrand@intel.com>
Date:   Fri Jul 20 17:30:42 2018 -0700

    dEQP-VK: Add tests for blitting to/from linear images
    
    New Tests:
    dEQP-VK.api.copy_and_blit.core.blit_image.all_formats.color.*.linear_*_*
    dEQP-VK.api.copy_and_blit.core.blit_image.all_formats.color.*.*_linear_*
    
    Components: Vulkan
    
    Change-Id: I6457959e805b57cb088b23753c21910ef22f4061

added some failing tests.


Failing tests on Vega:

dEQP-VK.api.image_clearing.core.clear_color_image.1d.linear.multiple_layers.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.1d.linear.multiple_layers.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.1d.linear.multiple_layers.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.1d.linear.remaining_array_layers.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.1d.linear.remaining_array_layers.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.1d.linear.remaining_array_layers.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.1d.linear.remaining_array_layers_twostep.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.1d.linear.remaining_array_layers_twostep.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.1d.linear.remaining_array_layers_twostep.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.1d.linear.single_layer.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.1d.linear.single_layer.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.1d.linear.single_layer.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.2d.linear.multiple_layers.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.2d.linear.multiple_layers.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.2d.linear.multiple_layers.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.2d.linear.remaining_array_layers.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.2d.linear.remaining_array_layers.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.2d.linear.remaining_array_layers.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.2d.linear.remaining_array_layers_twostep.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.2d.linear.remaining_array_layers_twostep.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.2d.linear.remaining_array_layers_twostep.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.2d.linear.single_layer.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.2d.linear.single_layer.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.2d.linear.single_layer.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.3d.linear.single_layer.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.3d.linear.single_layer.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.core.clear_color_image.3d.linear.single_layer.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.1d.linear.multiple_layers.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.1d.linear.multiple_layers.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.1d.linear.multiple_layers.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.1d.linear.remaining_array_layers.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.1d.linear.remaining_array_layers.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.1d.linear.remaining_array_layers.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.1d.linear.remaining_array_layers_twostep.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.1d.linear.remaining_array_layers_twostep.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.1d.linear.remaining_array_layers_twostep.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.1d.linear.single_layer.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.1d.linear.single_layer.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.1d.linear.single_layer.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.2d.linear.multiple_layers.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.2d.linear.multiple_layers.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.2d.linear.multiple_layers.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.2d.linear.remaining_array_layers.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.2d.linear.remaining_array_layers.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.2d.linear.remaining_array_layers.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.2d.linear.remaining_array_layers_twostep.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.2d.linear.remaining_array_layers_twostep.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.2d.linear.remaining_array_layers_twostep.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.2d.linear.single_layer.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.2d.linear.single_layer.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.2d.linear.single_layer.r32g32b32_uint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.3d.linear.single_layer.r32g32b32_sfloat,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.3d.linear.single_layer.r32g32b32_sint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.clear_color_image.3d.linear.single_layer.r32g32b32_uint,Fail
Comment 1 Samuel Pitoiset 2018-10-08 12:39:12 UTC
https://patchwork.freedesktop.org/series/50686/
Comment 2 Samuel Pitoiset 2018-10-11 12:49:11 UTC
Clear operations implemented with https://cgit.freedesktop.org/mesa/mesa/commit/?id=229803b66a3715da29ed8d5dc2c70e08587beebe
Comment 3 Samuel Pitoiset 2018-10-12 13:28:47 UTC
Blit fails should be fixed with https://cgit.freedesktop.org/mesa/mesa/commit/?id=2c139e2cdff6e4b4b257949b687a2ff06ba976bd

Closing as all reported fails are now fixed!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.